<template>
  <div class="merge" style="">
    <div class="title">
      <span>合并数据情况</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="data_box">
      <div class="top">
        <div class="left">
          <div class="content">
            <i>504</i>
            <span>转换个数</span>
          </div>
        </div>
        <div class="right">
          <div class="content">
            <i>504</i>
            <span>作业个数</span>
          </div>
        </div>
      </div>
      <div class="bottom">
        <div class="rollTitle">
          <el-row>
            <el-col :span="3">序号</el-col>
            <el-col :span="7">名称</el-col>
            <el-col :span="7">数据量</el-col>
            <el-col :span="7">来源</el-col>
          </el-row>
        </div>
        <div class="table_box">
          <el-row
            type="flex"
            align="center"
            justify="center"
            v-for="(item, i) in listData"
            :key="i"
          >
            <el-col :span="3"
              ><span
                :class="Number(i + 1) <= 3 ? 'left_orange' : 'left_blue'"
                >{{ i + 1 }}</span
              ></el-col
            >
            <el-col :span="7">{{ item.mc }}</el-col>
            <el-col :span="7">{{ item.cou }}</el-col>
            <el-col
              :span="7"
              style="
                color: #fedc85;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
                text-align: left;
              "
              >{{ item.ly }}</el-col
            >
          </el-row>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { constructionData } from "../../../utils/api.js";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      listData: [],
      param: {
        TYPE: 7,
      },
    };
  },
  //方法集合
  methods: {
    async construction() {
      let { data: dt } = await constructionData(this.param);
      if (dt.errno !== 200) {
        return this.$message.error(dt.errmsg);
      }

      this.listData = dt.varList;
    },
  },
  mounted() {},

  created() {
    this.construction();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.merge {
  overflow: hidden;
  width: 100%;
  height: 49%;
  box-sizing: border-box;
  position: relative;
  // padding-top: 40px;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .data_box {
    padding-top: 87px;
    .top {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      .left {
        width: 50%;
        text-align: center;
      }
      .right {
        width: 50%;
        text-align: center;
      }
      .content {
        display: inline-block;
        width: 394px;
        height: 222px;

        background: url("../../../assets/img/shujuguanli/方柱.png") no-repeat
          center;
        background-size: 100% 100%;
        position: relative;
        line-height: 160px;
        text-align: center;
        i {
          position: absolute;
          font-size: 80px;
          font-weight: bold;
          color: #22f2ff;
          line-height: 64px;
          opacity: 0.9;
          background: linear-gradient(
            0deg,
            #ffaa15 0.6103515625%,
            #fff600 100%
          );
          -webkit-background-clip: text;
          -webkit-text-fill-color: transparent;
          left: 50%;
          top: -20%;
          transform: translateX(-50%);
        }
        span {
          font-size: 56px;
          font-weight: 400;
          color: #ffffff;
        }
      }
    }
    .bottom {
      position: absolute;
      height: 74%;
      width: 100%;
      .rollTitle {
        font-size: 50px;
        color: #ffffff;
        text-align: center;
      }
      .table_box {
        overflow: auto;
        // overflow-x: hidden;
        // overflow-y: scroll;
        height: 85%;
        .el-row {
          height: 102px;
          margin: 40px 0;
          background: url("../../../assets/img/shujuguanli/分割-db.png")
            no-repeat center;
          background-size: 100% 100%;
          // line-height: 50px;
          box-sizing: border-box;

          .el-col {
            font-size: 47px;
            color: #ffffff;
            // line-height: 30px;
            align-items: center;
            text-align: center;
            .left_orange {
              display: inline-block;
              width: 102px;
              height: 94px;
              text-align: center;
              line-height: 94px;
              background: url("../../../assets/img/shujuguanli/xh-bj.png")
                no-repeat center;
              background-size: 100% 100%;
            }
            .left_blue {
              display: inline-block;
              width: 102px;
              height: 94px;
              text-align: center;
              line-height: 94px;
              background: url("../../../assets/img/shujuguanli/xh-bj-l.png")
                no-repeat center;
              background-size: 100% 100%;
            }
          }
          .orange {
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 2560px) {
  .merge {
    height: auto;
    overflow: visible;
    background: transparent;
    .data_box {
      .top {
        margin-top: 80px;
        .content {
          width: calc(394px * 3);
          height: calc(222px * 3);
          line-height: calc(160px * 3);

          i {
            top: -10%;
          }
        }
        .bottom {
          height: 100%;
        }
      }
      .bottom {
        height: 100%;
        .rollTitle {
          font-size: 50px;
        }
        .table_box {
          height: 100%;
          .el-row {
            height: calc(102px * 3);
            margin: calc(40px * 3);

            .el-col {
              .left_orange {
                width: calc(102px * 3);
                height: calc(94px * 3);

                line-height: calc(94px * 3);
              }
              .left_blue {
                width: calc(102px * 3);
                height: calc(94px * 3);

                line-height: calc(94px * 3);
              }
            }
          }
        }
        .table_box::-webkit-scrollbar {
          display: none;
        }
      }
    }
  }
}
</style>
